Loading...
Searching...
No Matches
ElementTranslator Class Reference

Internationalization of element names. More...

`#include <elementtranslator.h>`

Inheritance diagram for ElementTranslator:

## Static Public Member Functions

static QString | name (int element)
static int | numberOfElements ()

## Detailed Description

<avogadro/qtgui/elementtranslator.h>

Author
  Geoff Hutchison

This class provides for translation of element names: e.g., tr("Carbon") To use the global translator:

#include <avogadro/elementtranslator.h>
...
Avogadro::elementTranslator.name(6); // Return "carbon" in English

## Member Function Documentation

## name()

QString name | ( | int | element | ) |

static

Translate element names.

Parameters

  element | The atomic number of the element to be translated.

Returns
  a QString with the appropriate translation for the current locale.

## numberOfElements()

int numberOfElements | ( |  | ) |

static

Returns
  The highest atomic number supported by this class.

The documentation for this class was generated from the following file:

- elementtranslator.h